Commit de5dc4f4 authored by Ari Pollak's avatar Ari Pollak

Imported Upstream version 2.3.6

parent 7802c3a9

Too many changes to show.

To preserve performance only 1000 of 1000+ files are displayed.

......@@ -18,7 +18,6 @@ This file is generated from authors.xml, do not edit it directly.
Xavier Bouchoux
Roberto Boyd
Stanislav Brabec
Robert Brady
Hans Breuer
Simon Budig
João S. O. Bueno Calligaris
......@@ -30,7 +29,6 @@ This file is generated from authors.xml, do not edit it directly.
George J. Carrette
Sean Cier
Winston Chang
Kenneth Christiansen
Zbigniew Chyla
Branko Collin
Ed Connel
......@@ -39,7 +37,7 @@ This file is generated from authors.xml, do not edit it directly.
Jay Cox
Kevin Cozens
Brian Degenhardt
Gert Dewit
Karine Delvare
Andreas Dilger
Austin Donnelly
Scott Draves
......@@ -49,13 +47,11 @@ This file is generated from authors.xml, do not edit it directly.
Morton Eriksen
Larry Ewing
Nick Fetchak
Valek Filippov
Shlomi Fish
David Forsyth
Raphael Francois
Jochen Friedrich
Jordi Gay
Sami Gerdt
Jim Geuther
Graeme Gill
Pedro Gimeno
......@@ -67,8 +63,6 @@ This file is generated from authors.xml, do not edit it directly.
Pavel Grinfeld
Dov Grobgeld
Michael Hammel
Henrik Hansen
Ville Hautamäki
James Henstridge
Eric Hernes
David Hodson
......@@ -76,12 +70,9 @@ This file is generated from authors.xml, do not edit it directly.
Wolfgang Hofer
Alan Horkan
Jan Hubička
Andreas Hyden
Ben Jackson
Krzysztof Jakubowski
Simon Janes
Tim Janik
Fellmann Joaquim
Róman Joost
Geert Jordaens
Andrew Kieschnick
......@@ -118,7 +109,6 @@ This file is generated from authors.xml, do not edit it directly.
Torsten Martinsen
Gordon Matzigkeit
Gregory McLean
Daniele Medri
Federico Mena Quintero
Jim Meyer
James Mitchell
......@@ -127,7 +117,6 @@ This file is generated from authors.xml, do not edit it directly.
Adam D Moss
Balazs Nagy
Yukihiro Nakai
Sung-Hyun Nam
Shuji Narazaki
Felix Natter
Michael Natterer
......@@ -138,29 +127,25 @@ This file is generated from authors.xml, do not edit it directly.
Tim Newsome
Erik Nygren
Miles O'Neal
David Odin
David Odin
Robert Ögren
Thom van Os
Garry R. Osgood
Alan Paeth
Jay Painter
Sergey Panov
Ville Pätsi
Akkana Peck
Asbjorn Pettersen
Mike Phillips
Artur Polaczynski
Ari Pollak
Karine Proot
Raphaël Quinet
Tom Rathborne
Vincent Renardias
Jens Restemeier
Maurits Rijk
Daniel Risacher
James Robinson
Guillermo S. Romero
Tim Rowley
Pablo Saratxaga
Mike Schaeffer
John Schlag
Norbert Schmitz
......@@ -178,7 +163,6 @@ This file is generated from authors.xml, do not edit it directly.
Jakub Steiner
Nathan Summers
Mike Sweet
Yuri Syrota
Eiichi Takamori
Tristan Tarrant
Michael Taylor
......
This diff is collapsed.
......@@ -5,15 +5,15 @@ to have the following packages (or newer versions) installed:
* GNU autoconf 2.54
- ftp://ftp.gnu.org/gnu/autoconf/
* GNU automake 1.8 or newer
* GNU automake 1.9 (automake 1.8 should also work)
- ftp://ftp.gnu.org/gnu/automake/
* GNU libtool 1.4 (1.5 if you are compiling on Win32)
* GNU libtool 1.4 (libtool 1.5 if you are compiling on Win32)
- ftp://ftp.gnu.org/gnu/libtool/
Fine GNU mirrors are listed at http://www.gnu.org/prep/ftp.html
Beta software can be found at alpha.gnu.org.
* pkg-config 0.7.0 (or preferably a newer version)
* pkg-config 0.15.0 (or preferably a newer version)
- http://www.freedesktop.org/software/pkgconfig/
* intltoolize 0.31.1 (or preferably a newer version)
......@@ -26,25 +26,24 @@ Beta software can be found at alpha.gnu.org.
- ftp://ftp.gnome.org/pub/GNOME/sources/libxslt/1.1/
These are only the additional requirements if you want to compile from
the Subversion repository. The file INSTALL lists the various libraries
we depend on.
CVS. The file INSTALL lists the various libraries we depend on.
Compilation
-----------
If you are accessing gimp via Subversion, then you will need to take
several steps to get it to compile. You can do all these steps at once
If you are accessing gimp via CVS, then you will need to take several
steps to get it to compile. You can do all these steps at once
by running:
gimp/trunk$ ./autogen.sh
cvsroot/gimp$ ./autogen.sh
Basically this does the following for you:
gimp/trunk$ aclocal-1.9; libtoolize; automake-1.9 -a;
gimp/trunk$ autoconf; glib-gettextize; intltoolize
cvsroot/gimp$ aclocal-1.9; libtoolize; automake-1.9 -a;
cvsroot/gimp$ autoconf; glib-gettextize; intltoolize
The above commands create the "configure" script. Now you can run the
configure script in gimp/trunk to create all the Makefiles.
configure script in cvsroot/gimp to create all the Makefiles.
Before running autogen.sh or configure, make sure you have libtool in
your path. Also make sure glib-2.0.m4 glib-gettext.m4, gtk-2.0.m4,
......@@ -70,29 +69,25 @@ disable the support for gtk-doc so you will not be able to generate
the API documentation.
Subversion
----------
GIMP is available from GNOME Subversion. You can also grab glib, pango,
atk, gtk+, libart, gtkhtml2 as well as intltool and gtk-doc from the
same Subversion server. You can use the following commands to get them
from the anonymous Subversion server:
For getting the trunk, use:
$ svn co http://svn.gnome.org/svn/<module>/trunk <module>
For getting a branch, use:
$ svn co http://svn.gnome.org/svn/<module>/branches/<branch> <module>
CVS
---
GIMP is available from GNOME CVS. You can also grab glib, pango, atk,
gtk+, libart, gtkhtml2 as well as intltool and gtk-doc from the same
CVS server. You can use the following commands to get them from the
anonymous CVS server:
$ export CVSROOT=':pserver:anonymous@anoncvs.gimp.org:/cvs/gnome'
$ cvs login
(there is no password, just hit return)
$ cvs -z3 checkout [-r <branch>] <module>
The interesting modules and the suggested stable branches to use are:
* gimp
* glib (glib-2-4)
* glib (glib-2-6)
* atk (gnome-2-6)
* pango (pango-1-4)
* gtk+ (gtk-2-4)
* pango (pango-1-8)
* gtk+ (gtk-2-6)
* libart_lgpl
* gtkhtml2
* intltool
......
This diff is collapsed.
......@@ -10,12 +10,14 @@ SUBDIRS = \
po-libgimp \
po-plug-ins \
po-script-fu \
po-tips \
data \
desktop \
menus \
tips \
libgimpbase \
libgimpcolor \
libgimpmath \
libgimpconfig \
libgimpmodule \
libgimpthumb \
libgimpwidgets \
......@@ -76,7 +78,7 @@ EXTRA_DIST = \
po-script-fu/update.sh
DISTCHECK_CONFIGURE_FLAGS = --enable-gimp-console --disable-print
DISTCHECK_CONFIGURE_FLAGS = --enable-gimp-console
DISTCLEANFILES = \
intltool-extract \
......@@ -94,5 +96,6 @@ if HAVE_XMLLINT
( echo "* authors.xml INVALID *"; exit 1; )
endif
all-local: AUTHORS
dist-hook: validate-authors
This diff is collapsed.
This diff is collapsed.
</
The GNU Image Manipulation Program Version 2.2
The GNU Image Manipulation Program Version 2.3
----------------------------------------------
This is version 2.2 of The GIMP. Version 2.2 is an update on GIMP 2.0.
GIMP 2.2 is fully backward compatible to GIMP 2.0. Plug-ins and
scripts written for GIMP 2.0 will continue to work and don't need to
be changed nor recompiled to be used with GIMP 2.2. We do however
hope that plug-in authors will update their plug-ins for GIMP 2.2 and
adapt the GUI changes we did with this version.
GIMP 2.2 replaces GIMP 2.0. It is advised that you uninstall GIMP 2.0
before installing GIMP 2.2. If you want to keep GIMP 2.0 installed in
parallel to GIMP 2.2, you have to choose a separate prefix which is
not in your default library search path.
This code has already seen quite some testing but a lot has changed
since version GIMP 2.0 and we could very well have introduced new
bugs. If you find any , make sure you report them at bugzilla.gnome.org
(after checking that it isn't reported already).
The GIMP 2.2 API is guaranteed to be backward compatible (source and
binary) with the GIMP 2.0 API. If you find that your 2.0 plug-in break
when used with the GIMP 2.2 libraries, or if you cannot compile a GIMP
2.0 plug-in against the GIMP 2.2 header files, please report that as a
bug.
If you want to hack on The GIMP, please read the file HACKING. For
This is an unstable development version of GIMP. Please realize that
this is in no way a final product. A lot of new features are
incomplete and some things may even be completely broken. If you need
to get work done, please use the stable version, GIMP 2.2.
GIMP 2.3 replaces earlier GIMP 2.x versions. It is advised that you
uninstall them before installing GIMP 2.3. If you want to keep your
older GIMP 2.x installation in parallel to GIMP 2.3, you have to
choose a separate prefix which is not in your default library search
path. Otherwise your GIMP 2.2 or GIMP 2.0 installation will start to
use the new libraries. You have been warned.
If you think you found a bug in this version, please make sure that it
hasn't been reported earlier and that it is not just new stuff that is
still being worked on and obviously not quite finished yet.
If you want to hack on GIMP, please read the file HACKING. For
detailed installation instructions, see the file INSTALL.
1. Web Resources
================
The GIMP's home page is at:
GIMP's home page is at:
http://www.gimp.org/
......@@ -45,7 +38,7 @@ The automated plug-in registry is located at:
There you can get the latest versions of plug-ins, using a convenient
forms-based interface.
The latest version of The GIMP can be found at:
The latest version of GIMP can be found at:
http://www.gimp.org/downloads/
......@@ -68,8 +61,8 @@ releases of GIMP and plug-ins. Gimp-user is a mailing list dedicated
to user problems, hints and tips, discussion of cool effects, etc.
Gimp-developer is oriented to GIMP core and plug-in developers. Most